{% set CodiceModulo = "OSS_GEN" %}
{% set Urn = "document:c_a794:osservazioni.proposte.generale;osservazioni" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è compilato con il supporto dell'assistenza)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il/la dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Osservazioni e proposte"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|04/02/2025"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}


{% endblock meta %}

{% block title %} Osservazioni e proposte {% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma( firmatario = "Il/La dichiarante" ) }}
</globo_fondo_pagina>
<!-- urn_procedure deve essere scritta in formato es. "procedure%3As_italia%3Aasilo.nido%3Biscrizione" -->
{{ utils.attivazione_temporale_procedure(urn_procedure="procedure:c_a794:osservazioni.proposte;osservazioni")}}
<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - Osservazioni e/o proposte codice di comportamento dipendenti Comune di Bergamo'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Presentazione di osservazioni e proposte sul "Codice di comportamento dei dipendenti del Comune di Bergamo" </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il/La sottoscritto/a", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}
{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}
<div class="space-1"></div>
<div class="title-1"> PRESENTA </div>
<div class="paragraph text-justify"> la/le segutente osservazione/i e/o proposta/e per l'approvazione della stesura definitiva del <a href="https://www.comune.bergamo.it/uri-res/N2Ls?urn:nir:comune.bergamo:regolamento:2013-12-18;457" target="_blank">Codice di comportamento dei dipendenti del Comune di Bergamo</a>: </div>
<div class="space-1"></div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="title-3"> Osservazioni </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Osservazione1" name="Osservazione1" type="checkbox" value="SI">
    <label class="form-check-label" for="Osservazione1" checked="checked"> Osservazione/proposta n. 1 </label>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-6">
        <label for="Parametri_Pagina1"> n. pagina codice</label>
        <input class="form-control" id="Parametri_Pagina1" name="Parametri_Pagina1" label="n. pagina" mandatory="true">
    </div>
    <div class="form-group col-lg-6">
        <label for="Parametri_Articolo1"> n.articolo codice </label>
        <input class="form-control" id="Parametri_Articolo1" name="Parametri_Articolo1" label="n. articolo" mandatory="true">
    </div>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-12">
        <label for="Parametri_Osservazione1"> osservazione/proposta </label>
        <textarea class="form-control" id="Parametri_Osservazione1" name="Parametri_Osservazione1" label="osservazione proposta1" mandatory="true"></textarea>
    </div>
  </div>
  <globo_salto_pagina></globo_salto_pagina>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Osservazione2" name="Osservazione2" type="checkbox" value="SI">
    <label class="form-check-label" for="Osservazione2"> Osservazione/proposta n. 2 </label>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-6">
        <label for="Parametri_Pagina2"> n. pagina codice</label>
        <input class="form-control" id="Parametri_Pagina2" name="Parametri_Pagina2" label="n. pagina" mandatory_enabled="#Osservazione2.checked()">
    </div>
    <div class="form-group col-lg-6">
        <label for="Parametri_Articolo2"> n.articolo codice </label>
        <input class="form-control" id="Parametri_Articolo2" name="Parametri_Articolo2" label="n. articolo" mandatory_enabled="#Osservazione2.checked()">
    </div>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-12">
        <label for="Parametri_Osservazione2"> osservazione/proposta </label>
        <textarea class="form-control" id="Parametri_Osservazione2" name="Parametri_Osservazione2" label="osservazione proposta2" mandatory_enabled="#Osservazione2.checked()"></textarea>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Osservazione3" name="Osservazione3" type="checkbox" value="SI">
    <label class="form-check-label" for="Osservazione3"> Osservazione n. 3 </label>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-6">
        <label for="Parametri_Pagina3"> n. pagina codice</label>
        <input class="form-control" id="Parametri_Pagina3" name="Parametri_Pagina3" label="n. pagina" mandatory_enabled="#Osservazione3.checked()">
    </div>
    <div class="form-group col-lg-6">
        <label for="Parametri_Articolo3"> n.articolo codice </label>
        <input class="form-control" id="Parametri_Articolo3" name="Parametri_Articolo3" label="n. articolo" mandatory_enabled="#Osservazione3.checked()">
    </div>
  </div>
  <div class="form-row indent-2">
    <div class="form-group col-lg-12">
        <label for="Parametri_Osservazione3"> osservazione/proposta </label>
        <textarea class="form-control" id="Parametri_Osservazione3" name="Parametri_Osservazione3" label="osservazione proposta3" mandatory_enabled="#Osservazione3.checked()"></textarea>
    </div>
  </div>
</div>


<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
 
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}